﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Dynamicweb.Samples.Web.CustomModules.DvkArticles.Admin.Default" %>
<%@ Register TagPrefix="dw" Namespace="Dynamicweb.Controls" Assembly="Dynamicweb.Controls" %>
<%@ Import Namespace="Dynamicweb" %>
<%@ Import Namespace="Dynamicweb.Backend" %>
<%@ Register Assembly="System.Web.Entity, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" Namespace="System.Web.UI.WebControls" TagPrefix="asp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Manage articles</title>
	<dw:ControlResources ID="ctrlResources" runat="server" IncludePrototype="true" />
</head>
<body>
	<form id="Form1" method="post" runat="server">
	<div>
		<dw:RibbonBar ID="myRibbon" runat="server">
			<dw:RibbonBarTab ID="generalTab" Name="General" runat="server">
				<dw:RibbonBarGroup ID="newItemsGroup" Name="New items" runat="server">
					<dw:RibbonBarButton runat="server" Text="New" Size="Large" Image="AddDocument" ID="newButton" Title="Create new article">
					</dw:RibbonBarButton>
				</dw:RibbonBarGroup>
			</dw:RibbonBarTab>
			<dw:RibbonBarTab ID="manageTab" Name="Manage" runat="server">
				<dw:RibbonBarGroup ID="toolsGroup" Name="Tools" runat="server">
					<dw:RibbonBarButton Disabled="true" ID="copyButton" Size="Small" Text="Copy" Image="Copy" runat="server" Title="Copy selected articles" />
					<dw:RibbonBarButton Disabled="true" ID="deleteButton" Size="Small" Text="Delete" Image="Delete" runat="server" Title="Delete selected articles" />
				</dw:RibbonBarGroup>
			</dw:RibbonBarTab>
			<dw:RibbonBarTab ID="settingsTab" Name="Settings" runat="server">
				<dw:RibbonBarGroup ID="saveGroup" Name="Save" runat="server">
					<dw:RibbonBarButton ID="saveButton" Text="Save" Image="Save" runat="server" Title="Save settings" />
				</dw:RibbonBarGroup>
				<dw:RibbonBarGroup ID="siteSettingsGroup" Name="Site Settings" runat="server">
					<dw:RibbonBarButton ID="introTextButton" runat="server" Text="Intro Text" Size="Small" Image="Tree" Title="Modify the introduction text">
					</dw:RibbonBarButton>
				</dw:RibbonBarGroup>
			</dw:RibbonBarTab>
		</dw:RibbonBar>
		<asp:Repeater ID="ArticleList" runat="server" DataSourceID="EntityDataSource1">
			<HeaderTemplate>
				<table border="0" cellpadding="0" style="width: 600px;">
				<tbody>
					<tr>
						<td style="width: 400px;">
							<strong>Article</strong>
						</td>
						<td style="width: 100px;">
							<strong>Edit</strong>
						</td>
						<td style="width: 100px;">
							<strong>Delete</strong>
						</td>
					</tr>
			</HeaderTemplate>
			<ItemTemplate>
				<tr>
					<td>
						<asp:Literal ID="litTitle" runat="server" Text='<%# Eval("Title") %>' />
					</td>
					<td>
						<asp:HyperLink ID="lnkEdit" runat="server" NavigateUrl='<%# "AddEditArticle.aspx?Id=" + DataBinder.Eval(Container.DataItem, "Id") %>'>Edit</asp:HyperLink>
					</td>
					<td>
						<asp:HyperLink ID="lnkDelete" runat="server" NavigateUrl='<%# "DeleteArticle.aspx?Id=" + DataBinder.Eval(Container.DataItem, "Id") %>'>Delete</asp:HyperLink>
					</td>
				</tr>
			</ItemTemplate>
			<FooterTemplate>
				</tbody> </table>
			</FooterTemplate>
		</asp:Repeater>
		<asp:EntityDataSource ID="EntityDataSource1" runat="server" ConnectionString="name=CustomModulesSamplesEntities" DefaultContainerName="CustomModulesSamplesEntities" Where="it.Deleted == false" EntitySetName="Articles" Select="it.[Id], it.[Title]">
		</asp:EntityDataSource>
		<a href="AddEditArticle.aspx">AddEditArticle.aspx</a>
	</div>
	</form>
</body>
</html>
